%define	major		0
%define	libname		%mklibname vmime %{major}
%define develname	%mklibname vmime -d


Summary:	A powerful C++ class library for working with MIME/Internet messages
Name:		libvmime
Version:	0.9.2
Release:	%mkrel 13
License:	GPLv2+
Group:		System/Libraries
URL:		http://download.zarafa.com/community/final/7.0/7.0.0-27791/sourcecode/vmime-patches/
Source0:	http://downloads.sourceforge.net/project/vmime/vmime/0.9/libvmime-%{version}+svn603.tar.bz2
Patch0:		http://download.zarafa.com/community/final/7.0/7.0.0-27791/sourcecode/vmime-patches/vmime-0.8.1-charset-catch.diff
Patch1:		http://download.zarafa.com/community/final/7.0/7.0.0-27791/sourcecode/vmime-patches/vmime-0.9.2-header-value-on-next-line.diff
Patch2:		vmime-0.9.2-fix-FTBFS-with-GCC-6.diff
BuildRequires:	libtool
BuildRequires:	pkgconfig(libgsasl)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(zlib)


%description
VMime is a powerful C++ class library for parsing, generating or
editing Internet RFC-[2]822 and MIME messages. VMime is designed
to provide a fast and an easy way to manipulate Internet mail
messages.

It also includes support for using messaging protocols (POP3, IMAP,
SMTP and maildir) with a lot of features supported: listing folders,
downloading and adding messages to folders, extracting parts from
message, getting and setting message flags and a lot more.

This package contains an old and deprecated version of libvmime.
You need it only if the software you are using hasn't been updated
to work with the newer version and the newer API.

%package -n	%{libname}
Summary:	Library associated with ncpfs
Group:		System/Libraries

%description -n	%{libname}
VMime is a powerful C++ class library for parsing, generating or
editing Internet RFC-[2]822 and MIME messages. VMime is designed
to provide a fast and an easy way to manipulate Internet mail
messages.

It also includes support for using messaging protocols (POP3, IMAP,
SMTP and maildir) with a lot of features supported: listing folders,
downloading and adding messages to folders, extracting parts from
message, getting and setting message flags and a lot more.

This package contains an old and deprecated version of libvmime.
You need it only if the software you are using hasn't been updated
to work with the newer version and the newer API.

%package -n	%{develname}
Summary:	Development files for the libvmime library
Group:		Development/C++
Requires:	%{libname} >= %{version}-%{release}
Requires:	pkgconfig
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The libvmime package includes header files and libraries necessary
for developing programs which use the libvmime C++ class library.

This package contains an old and deprecated version of libvmime.
You need it only if the software you are using hasn't been updated
to work with the newer version and the newer API.

%prep
%setup -q -n libvmime-%{version}
%autopatch -p1

%build
export EXTRA_CFLAGS="%{optflags}"
export SENDMAIL=%{_sbindir}/sendmail
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

# Remove the documentation dir, as %%doc will pick it up
rm -rf %{buildroot}%{_datadir}/doc


%files -n %{libname}
%doc AUTHORS COPYING ChangeLog
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/%{name}.so
%{_includedir}/vmime/
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Aug 04 2020 joequant <joequant> 0.9.2-13.mga8
+ Revision: 1610994
- redo deps

* Thu Feb 13 2020 umeabot <umeabot> 0.9.2-12.mga8
+ Revision: 1514562
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.9.2-11.mga7
+ Revision: 1299216
- Mageia 7 Mass Rebuild

* Sat Jun 23 2018 wally <wally> 0.9.2-10.mga7
+ Revision: 1239262
- fix build on aarch64

* Sun May 06 2018 daviddavid <daviddavid> 0.9.2-9.mga7
+ Revision: 1226742
- add patch to fix build with gcc6 and later

* Mon Jan 11 2016 luigiwalser <luigiwalser> 0.9.2-8.mga6
+ Revision: 921823
- rebuild for gnutls

* Wed Oct 15 2014 umeabot <umeabot> 0.9.2-7.mga5
+ Revision: 750701
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.2-6.mga5
+ Revision: 681847
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.2-5.mga4
+ Revision: 507412
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.2-4.mga3
+ Revision: 358395
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 spuhler <spuhler> 0.9.2-3.mga3
+ Revision: 345479
- cleaned up spec file and bumped rel

* Fri Jan 11 2013 spuhler <spuhler> 0.9.2-2.mga3
+ Revision: 345435
- bumped rel for rebuild
- removed bootstrapping
  Corrected the patch name

* Thu Jul 26 2012 spuhler <spuhler> 0.9.2-1.mga3
+ Revision: 274646
- upgrade to 0.9.2+svn603
  Removed patches already applied in svn603
- imported package libvmime

